Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.metadata.iso19115
Class OnlineResource

    java.lang.Object
      org.deegree.model.metadata.iso19115.OnlineResource

All Implemented Interfaces:
  Serializable

    public class OnlineResource

extends Object
implements Serializable

iso 19115 OnlineResource

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`OnlineResource(Linkage linkage)`
`OnlineResource(String applicationprofile, FunctionCode functioncode, Linkage linkage, String onlineresourcedescription, String onlineresourcename, String protocol)` Creates a new instance of OnLineResource

Method Summary
`String` | `getApplicationProfile()`
`FunctionCode` | `getFunctionCode()`
`Linkage` | `getLinkage()`
`String` | `getOnlineResourceDescription()`
`String` | `getOnlineResourceName()`
`String` | `getProtocol()`
`String` | `toString()` to String method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OnlineResource

    public OnlineResource(Linkage linkage)

Parameters:
  `linkage` -

### OnlineResource

    public OnlineResource(String applicationprofile,
                          FunctionCode functioncode,
                          Linkage linkage,
                          String onlineresourcedescription,
                          String onlineresourcename,
                          String protocol)

  Creates a new instance of OnLineResource

  Parameters:
    `applicationprofile` -
    `functioncode` -
    `linkage` -
    `onlineresourcedescription` -
    `onlineresourcename` -
    `protocol` -

Method Detail

### getApplicationProfile

    public String getApplicationProfile()

  Returns:
    application profile

### getFunctionCode

    public FunctionCode getFunctionCode()

  Returns:
    function code

### getLinkage

    public Linkage getLinkage()

  Returns:
    linkage

### getOnlineResourceDescription

    public String getOnlineResourceDescription()

  Returns:
    online resource description

### getOnlineResourceName

    public String getOnlineResourceName()

  Returns:
    online resource name

### getProtocol

    public String getProtocol()

  Returns:
    protocol

### toString

    public String toString()

  to String method

  Overrides:
    `toString` in class `Object`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org